WordPress.org

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Google Web Fonts Manager

This plugin provides access to google API for fonts to provide access to these fonts on your website.

1.5.4

  • Updated to display as Sub-Menu under the Appearance menu

1.5.3

  • optimized plugin to request all fonts in one stylesheet, rather than individual requests per font.

1.5.2

  • added check for PHP 5.2 and json_decode function requirement
  • added check for valid API key
  • added API response display when the API call fails, for debugging.

1.5.1

  • added label tags to make checkbox input text labels clickable.
  • improved readability of plugin settings page

1.5

  • changed file_get_contents to more compatible wp_remote_get
  • added font list cache system using transient options to improve performance
  • updated readme file

1.4.6

  • fixed typo in the help menu

1.4.5

  • added links to upgrade to premium version of plugin
  • verified and tagged compatibility with wordpress 3.5

1.4.4

  • fixed several improper opening php tags
  • added screenshots explaining how to setup the Google API Key

1.4.3

  • added plugin meta row link on plugins page to rate and review this plugin on WordPress.org
  • added better documentation about how to create a google API Key.
  • resolved warnings about depricated functions.

1.4.2

  • added link to rate and review this plugin on WordPress.org

1.4.1

  • updated plugin activation php version check which was causing out of place errors.

1.4

  • added contextual help menu with faqs and support links
  • fixed broken links

1.3

  • added additional links for support
  • added font-family and the name of the font to be used in CSS for selected fonts

1.2

  • added help screen which explains that you need to enable 'Web Fonts Developer API'

1.1

  • Minor bug fixes, cleaned up admins screen.

1.0

  • Initial release

Requires: 2.9 or higher
Compatible up to: 3.5.2
Last Updated: 2013-6-4
Active Installs: 1,000+

Ratings

3 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,3,3
40,5,2
100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 0,1,0 100,1,1
100,2,2 100,2,2